layui.define([ 'jquery','form', 'laydate', 'table', 'channelUrlApi', 'qrcode'], function(exports) {
// ../../../plugins/layui/layui_exts/qrcode/
	var jquery = layui.jquery;
	var form = layui.form;
	var laydate = layui.laydate;
    var qrcode = layui.qrcode;
	var formSelects = layui.formSelects;
	var channelUrlApi = layui.channelUrlApi;

	var index = layui.index;
	var view = {
        init:function(url) {
            Lib.initGenrealForm($("#addForm"),form);
            $('#closeButton').click(function(){
                Lib.closeFrame();
            });

            this.initSubmit();

            $('#qrcode').qrcode({
                rander: "canvas",
                width: 100,
                height: 100,
                foreground: "#000",
                background: "#FFF",
                text: url,
                correctLevel: 1
            })

        },

        initSubmit:function(){
        },

	};

	exports('myqrcode',view);

});